> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsAsync

> XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsAsync

Get statistics for users across different Service configurations.

## Syntax

```cpp theme={null}
HRESULT XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsAsync(  
         XblContextHandle xblContextHandle,  
         uint64_t* xboxUserIds,  
         uint32_t xboxUserIdsCount,  
         const XblRequestedStatistics* requestedServiceConfigurationStatisticsCollection,  
         uint32_t requestedServiceConfigurationStatisticsCollectionCount,  
         XAsyncBlock* async  
)  
```

### Parameters

*xblContextHandle*   \_In\_\
Type: [XblContextHandle](https://docs.xbox.com/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

XBOX services context for the local user.

*xboxUserIds*   \_In\_\
Type: uint64\_t\*

A list of the user XBOX user ID to get stats for.

*xboxUserIdsCount*   \_In\_\
Type: uint32\_t

A list of the user XBOX user ID to get stats for.

*requestedServiceConfigurationStatisticsCollection*   \_In\_\
Type: [XblRequestedStatistics\*](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/structs/xblrequestedstatistics.md)

A list of the service config IDs and its associated array of statistics.

*requestedServiceConfigurationStatisticsCollectionCount*   \_In\_\
Type: uint32\_t

The number of the service config IDs and its associated array of statistics.

*async*   \_In\_\
Type: XAsyncBlock\*

The AsyncBlock for this operation.

### Return value

Type: HRESULT

HRESULT return code for this API operation.

## Remarks

Call [XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsResultSize](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsformultipleserviceconfigurationsresultsize.md) and [XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsResult](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsformultipleserviceconfigurationsresult.md) upon completion to get the result. Only statistics with values are returned. For example, if you ask for 3 statistic names and only 2 have values, only 2 statistics are returned by the service.

## REST Call

V1 POST /batch

## Requirements

**Header:** user\_statistics\_c.h

**Library:** Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

## See also

[user\_statistics\_c](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/user_statistics_c_members.md)


## Related topics

- [XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsResult](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsformultipleserviceconfigurationsresult.md)
- [XblRequestedStatistics](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/structs/xblrequestedstatistics.md)
- [Getting event-based stats](https://docs.xbox.com/services/xbox-services/player-data/stats-leaderboards/event-based/how-to/live-getting-eb-stat.md)
- [user_statistics_c (contents)](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/user_statistics_c_members.md)
- [XblUserStatisticsGetMultipleUserStatisticsAsync](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsasync.md)
